| GlsMap Toolkit 1.10.2

Classes | Public Member Functions | Protected Types | Protected Attributes | List of all members
disti::DNCUtil::QueryResults::FeatureDescription Class Reference

`#include <dnc_util.h>`

## Classes
class | AttributePair

## Public Member Functions
| FeatureDescription (const char *const covName, const char *const featClassName, const char *const faccCode, const unsigned int featIndex, const char *const featureName, const VPFUtil::FeatureType featureType, const VPFUtil::Coord2DShort &location)
| ~FeatureDescription ()
bool | IsValid (void) const
const char * | GetCoverageName (void) const
const char * | GetFeatureClassName (void) const
const char * | GetFACCCode (void) const
unsigned int | GetFeatureIndex (void) const
const char * | GetFeatureName (void) const
VPFUtil::FeatureType | GetFeatureType (void) const
VPFUtil::Coord2DShort | GetLocation (void) const
unsigned int | GetAttributePairCount (void) const
const AttributePair * | GetAttributePair (const unsigned int attribPairNum) const
bool | AddAttributePair (AttributePair *const attributePair)

## Protected Types
typedef VPFUtil::PointerArray< AttributePair > | AttributePairArray

## Protected Attributes
VPFUtil::WarningBool | _isValid
const DNCString | _covName
const DNCString | _featClassName
const DNCString | _faccCode
const unsigned int | _featIndex
const DNCString | _featureName
const VPFUtil::FeatureType | _featureType
const VPFUtil::Coord2DShort | _location
AttributePairArray | _attributePairs

## Detailed Description

description of a feature in the query results

## Member Typedef Documentation

## ◆ AttributePairArray

typedef VPFUtil::PointerArray<AttributePair> disti::DNCUtil::QueryResults::FeatureDescription::AttributePairArray
| protected

array of attribute pairs

## Constructor & Destructor Documentation

## ◆ FeatureDescription()

DNCUtil::QueryResults::FeatureDescription::FeatureDescription | ( | const char *const | covName,
|  | const char *const | featClassName,
|  | const char *const | faccCode,
|  | const unsigned int | featIndex,
|  | const char *const | featureName,
|  | const VPFUtil::FeatureType | featureType,
|  | const VPFUtil::Coord2DShort & | location
| ) |  |

Ctor

Parameters

  covName | name of coverage that contains this feature
  featClassName | name of feature class that contains this feature
  faccCode | FACC code for feature else NULL if feature does not use FACC codes
  featIndex | zero based index into feature class for this feature
  featureName | name of feature
  featureType | type of feature
  location | location of feature

## ◆ ~FeatureDescription()

DNCUtil::QueryResults::FeatureDescription::~FeatureDescription | ( |  | ) |

Dtor

## Member Function Documentation

## ◆ AddAttributePair()

bool DNCUtil::QueryResults::FeatureDescription::AddAttributePair | ( | AttributePair *const | attributePair | ) |

add an attribute pair to this description. NOTE: FeatureDescription does not deep copy the attribute pair and owns the attribute pair if this method returns success

Parameters

  attributePair | attribute description

Returns
  true if success else false

## ◆ GetAttributePair()

const DNCUtil::QueryResults::FeatureDescription::AttributePair * DNCUtil::QueryResults::FeatureDescription::GetAttributePair | ( | const unsigned int | attribPairNum | ) | const

Get an attribute pair from this description

Parameters

  attribPairNum | zero based index to desired attribute pair ( < GetAttributePairCount() )

Returns
  desired attribute pair else NULL

## ◆ GetAttributePairCount()

unsigned int DNCUtil::QueryResults::FeatureDescription::GetAttributePairCount | ( | void |  | ) | const

Get the number of attribute pairs in this feature description

Returns
  number of attribute pairs in this feature description

## ◆ GetCoverageName()

const char * disti::DNCUtil::QueryResults::FeatureDescription::GetCoverageName | ( | void |  | ) | const
| inline

Get the name of the coverage that contains this feature

Returns
  name of the coverage that contains this feature

## ◆ GetFACCCode()

const char * disti::DNCUtil::QueryResults::FeatureDescription::GetFACCCode | ( | void |  | ) | const
| inline

Get the FACC code for feature else "" if feature does not use FACC codes

Returns
  FACC code for feature else "" if feature does not use FACC codes

## ◆ GetFeatureClassName()

const char * disti::DNCUtil::QueryResults::FeatureDescription::GetFeatureClassName | ( | void |  | ) | const
| inline

Get the name of the feature class that contains this feature

Returns
  name of the feature class that contains this feature

## ◆ GetFeatureIndex()

unsigned int disti::DNCUtil::QueryResults::FeatureDescription::GetFeatureIndex | ( | void |  | ) | const
| inline

Get the zero based index into feature class for this feature

Returns
  zero based index into feature class for this feature

## ◆ GetFeatureName()

const char * disti::DNCUtil::QueryResults::FeatureDescription::GetFeatureName | ( | void |  | ) | const
| inline

Get the name of the feature

Returns
  name of the feature

## ◆ GetFeatureType()

VPFUtil::FeatureType disti::DNCUtil::QueryResults::FeatureDescription::GetFeatureType | ( | void |  | ) | const
| inline

Get the type of the feature

Returns
  type of the feature

## ◆ GetLocation()

VPFUtil::Coord2DShort disti::DNCUtil::QueryResults::FeatureDescription::GetLocation | ( | void |  | ) | const
| inline

Get the location of the feature (lon/lat)

Returns
  location of the feature (lon/lat)

## ◆ IsValid()

bool disti::DNCUtil::QueryResults::FeatureDescription::IsValid | ( | void |  | ) | const
| inline

Determine if the feature description is valid

Returns
  true if valid else false

## Member Data Documentation

## ◆ _attributePairs

AttributePairArray disti::DNCUtil::QueryResults::FeatureDescription::_attributePairs
| protected

array of attribute pairs

## ◆ _covName

const DNCString disti::DNCUtil::QueryResults::FeatureDescription::_covName
| protected

name of coverage that contains this feature

## ◆ _faccCode

const DNCString disti::DNCUtil::QueryResults::FeatureDescription::_faccCode
| protected

FACC code for feature else "" if feature does not use FACC codes

## ◆ _featClassName

const DNCString disti::DNCUtil::QueryResults::FeatureDescription::_featClassName
| protected

name of feature class that contains this feature

## ◆ _featIndex

const unsigned int disti::DNCUtil::QueryResults::FeatureDescription::_featIndex
| protected

zero based index into feature class for this feature

## ◆ _featureName

const DNCString disti::DNCUtil::QueryResults::FeatureDescription::_featureName
| protected

name of feature

## ◆ _featureType

const VPFUtil::FeatureType disti::DNCUtil::QueryResults::FeatureDescription::_featureType
| protected

feature type

## ◆ _isValid

VPFUtil::WarningBool disti::DNCUtil::QueryResults::FeatureDescription::_isValid
| protected

true if feature description is valid else false

## ◆ _location

const VPFUtil::Coord2DShort disti::DNCUtil::QueryResults::FeatureDescription::_location
| protected

location of feature (lon/lat)

The documentation for this class was generated from the following files:

- dnc_util.h
- dnc_util.cpp